View Issue Details

IDProjectCategoryView StatusLast Update
0005477GNUnetbuild processpublic2019-02-28 11:17
ReporterlurchiAssigned Tong0 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSNixOSOS Version
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005477: commit 62355a754 broke the --disable-documentation configure flag
DescriptionSince commit 62355a754eb4f3e8aa9e9e514ae1bb0e28f51fcc when giving configure the --disable-documentation flag and texinfo is not installed, configure fails:

checking for makeinfo... no
configure: error: in `/build/gnunet-6dc4bac':
configure: error: Missing program 'makeinfo', Documentation will not be built. Please install it if you want 'info' documentation or refer to online resources at 'https://docs.gnunet.org'.
See `config.log' for more details

If --disable-documentation is given, the existance of makeinfo should not be mandatory. This was the case before that commit.
Steps To Reproduce./bootstrap
./configure --disable-documentation
TagsNo tags attached.

Activities

ng0

2018-11-12 16:09

developer   ~0013331

Can't work on this at the moment, best chance maybe within the next 7 days or so.
If anyone wants this fixed, feel free to pick it up or send patches.

lurchi

2018-11-14 17:32

developer   ~0013338

Should be fixed by 75c351e315e2e8578ed7eaec4323d66d3db901d8.

Issue History

Date Modified Username Field Change
2018-11-11 22:24 lurchi New Issue
2018-11-11 22:24 lurchi Status new => assigned
2018-11-11 22:24 lurchi Assigned To => ng0
2018-11-11 22:25 lurchi Description Updated View Revisions
2018-11-11 22:29 lurchi Summary commit c0ccb5ea4 broke the --disable-documentation configure flag => commit 62355a754 broke the --disable-documentation configure flag
2018-11-11 22:29 lurchi Description Updated View Revisions
2018-11-12 16:09 ng0 Status assigned => acknowledged
2018-11-12 16:09 ng0 Note Added: 0013331
2018-11-14 17:32 lurchi Note Added: 0013338
2018-11-14 17:32 lurchi Status acknowledged => resolved
2018-11-14 17:32 lurchi Resolution open => fixed
2018-11-14 17:32 lurchi Fixed in Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed